javax.xml.ws.spi.http

## Class HttpContext

- java.lang.Object
- - javax.xml.ws.spi.http.HttpContext

    public abstract class HttpContext
    extends Object

HttpContext represents a mapping between the root URI path of a web service to a `HttpHandler` which is invoked to handle requests destined for that path on the associated container.

Container provides the implementation for this and it matches web service requests to corresponding HttpContext objects.

Since:
  JAX-WS 2.2

### Field Summary

Fields
`protected HttpHandler` `handler`

### Constructor Summary

Constructors
Constructor and Description
`HttpContext()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Object` `getAttribute(String name)` Returns an attribute value for container's configuration and other data that can be used by jax-ws runtime.
`abstract Set<String>` `getAttributeNames()` Returns all attribute names for container's configuration and other data that can be used by jax-ws runtime.
`abstract String` `getPath()` Returns the path for this context.
`void` `setHandler(HttpHandler handler)` JAX-WS runtime sets its handler during `Endpoint.publish(HttpContext)` to handle HTTP requests for this context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### handler

    protected HttpHandler handler

### Constructor Detail

#### HttpContext

    public HttpContext()

### Method Detail

#### setHandler

    public void setHandler(HttpHandler handler)

JAX-WS runtime sets its handler during `Endpoint.publish(HttpContext)` to handle HTTP requests for this context. Container or its extensions use this handler to process the requests.

Parameters:
  `handler` - the handler to set for this context

#### getPath

    public abstract String getPath()

Returns the path for this context. This path uniquely identifies an endpoint inside an application and the path is relative to application's context path. Container should give this path based on how it matches request URIs to this HttpContext object.

For servlet container, this is typically a url-pattern for an endpoint.

Endpoint's address for this context can be computed as follows:

      HttpExchange exch = ...;
      String endpointAddress =
          exch.getScheme() + "://"
          + exch.getLocalAddress().getHostName()
          + ":" + exch.getLocalAddress().getPort()
          + exch.getContextPath() + getPath();

Returns:
  this context's path

#### getAttribute

    public abstract Object getAttribute(String name)

Returns an attribute value for container's configuration and other data that can be used by jax-ws runtime.

Parameters:
  `name` - attribute name
Returns:
  attribute value

#### getAttributeNames

    public abstract Set<String> getAttributeNames()

Returns all attribute names for container's configuration and other data that can be used by jax-ws runtime.

Returns:
  set of all attribute names